FUNCTION GetFDDs: WORD;
VAR
   Regs: Registers;
   NumberDiskettes: WORD;
BEGIN
     NumberDiskettes := 0;
     Intr($11,Regs);
     NumberDiskettes := (((Regs.ax AND $0000) DIV 64) + 2);
     GetFDDs := NumberDiskettes;
END;

FUNCTION GetHDDs(flop: WORD): WORD;
VAR
   NumberDrives,DriveNumber: WORD;
   DescriptorByte: BYTE;
   Regs: Registers;
   LABEL LookAgain;
BEGIN
     NumberDrives := 0;
     DriveNumber := flop + 1;
LookAgain:
          Regs.ah := $1C;
          Regs.dx := DriveNumber;
          Intr($21,Regs);
          DescriptorByte := Mem[Regs.ds:Regs.bx];
          Mem[Regs.ds:Regs.bx] := 0;
          Regs.bx := 0;
          IF DescriptorByte = $F8 THEN
          BEGIN
               NumberDrives := NumberDrives + 1;
               DriveNumber := DriveNumber + 1;
               DescriptorByte := 0;
               GOTO LookAgain;
          END;
     GetHDDs := NumberDrives;
END;

PROCEDURE PrtDrives(FDDCount,HDDCount: WORD);
VAR
   id: CHAR;
   i: WORD;
BEGIN
     WRITELN(output);
     WRITE(output,'Floppy drives: ');
     FOR i := 1 TO FDDCount DO
     BEGIN
          id := CHR(64 + i);
          WRITE(output,id,': ');
     END;
     WRITELN(output);
     WRITE(output,'Hard drives  : ');
     FOR i := 1 TO HDDCount DO
     BEGIN
          id := CHR(66 + i);
          WRITE(output,id,': ');
     END;
     WRITELN(output);
END;
