FUNCTION GetSerialPorts: INTEGER;
VAR
   Regs: Registers;
   NumberSerial: INTEGER;
BEGIN
     NumberSerial := 0;
     Intr($11,Regs);
     NumberSerial := (Regs.ax AND $0E00) DIV 512;
     GetSerialPorts := NumberSerial;
END;

FUNCTION GetParallelPorts: INTEGER;
VAR
   Regs: Registers;
   NumberParallel: INTEGER;
BEGIN
     NumberParallel := 0;
     Intr($11,Regs);
     NumberParallel := (Regs.ax AND $C000) DIV 16384;
     GetParallelPorts := NumberParallel;
END;

FUNCTION GetGamesPort: BOOLEAN;
VAR
   Regs: Registers;
   T: WORD;
BEGIN
     T := 0;
     Intr($11,Regs);
     T := Regs.ax;
     GetGamesPort := ((T MOD 4096) = 0);
END;

PROCEDURE PrtPorts(Serial,Parallel: INTEGER; Games: BOOLEAN);
VAR
   i: INTEGER;
BEGIN
     WRITE(output,'Serial ports  : AUX: ');
     FOR i := 1 TO Serial DO
         WRITE(output,'COM',i,': ');
     WRITELN(output);
     WRITE(output,'Parallel ports: PRN: ');
     FOR i := 1 TO Parallel DO
         WRITE(output,'LPT',i,': ');
     WRITELN(output);
     WRITE(output,'Games port    : ');
     CASE Games OF
          FALSE: WRITE(output,'not present');
          TRUE : WRITE(output,'present');
     END;
     WRITELN(output);
END;
